GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::triangulate::quadedge::QuadEdgeLocator Class Referenceabstract

`#include <QuadEdgeLocator.h>`

Inheritance diagram for geos::triangulate::quadedge::QuadEdgeLocator:

## Public Member Functions
virtual QuadEdge * | locate (const Vertex &v)=0

## Detailed Description

An interface for classes which locate an edge in a QuadEdgeSubdivision which either contains a given Vertex V or is an edge of a triangle which contains V. Implementors may utilized different strategies for optimizing locating containing edges/triangles.

Author
  JTS: Martin Davis
  Ben Campbell

The documentation for this class was generated from the following file:

- QuadEdgeLocator.h